#include "predef.h"
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <startnet.h>
#include <autoupdate.h>
#include <constants.h>
#include <buffers.h>
#include <utils.h>
//#include <dhcpclient.h>
//#include <ethernet.h>
//#include <networkdebug.h>
#include <serial.h>
#include <serinternal.h>
#include <taskmon.h>
#include <tcp.h>
#include <sim5270.h>
#include <pins.h>



extern "C"
{
   void UserMain( void *pd );
   void DoControl( int sock, PCSTR url );
   void Read_Power_Status( void );
}


//Global Variables
int power = 0;




void DoControl( int sock, PCSTR url )  //gets function from index.htm?x where "x" is the number variable sending a command
{
int v;

    if ( ( *( url + 21 ) ) == '?' )  //move to the part of the url where the "?" is.  "10" is the position of the "?"
		{
			v = atoi( ( char * ) ( url + 22 ) );  //"11" is the position of the command integer
		}
	else
		{
		v = 255;
		}


    if (v == 1)
		{
    	power = 1;
    	J2[23] = 1;
		}

    else
		{
    	power = 0;
    	J2[23] = 0;
		}

}//end void DoControl( int sock, PCSTR url )


void Read_Power_Status( void )
{
	if (J2[7] == 0)
	{
		power = 1;
		//This is where I need code that will turn the table cell for Power ON blue, and the text white
	}

	else
	{
		power = 0;
		//This is where I need code that will turn the table cell for Power OFF blue, and the text white
	}
} //end Read_Power_Status( void )



//The main task.
void UserMain( void *pd )
{
   InitializeStack();   // Initialize TCP/IP stack
   OSChangePrio( MAIN_PRIO );   // Set main task priority to the default (50)
   EnableAutoUpdate();          // Enable NB application AutoUpdate support
   EnableTaskMonitor();
   StartHTTP();                 // Start web server


   J2[23].function( PINJ2_PD_GPIO );  //Output pin
   J2[7].function( PINJ2_PD_GPIO );	 //Input pin

   J2[23] = 0;  //initialize output

   while(1)
		   {

		   }  //end while(1)


} //end void UserMain( void *pd )
